Skip to main content
GET
/
v1
/
patients
/
{id}
Get Patient
curl --request GET \
  --url https://api.example.com/v1/patients/{id} \
  --header 'X-API-Key: <api-key>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "<string>",
  "updated_at": "<string>",
  "company_id": "<string>",
  "first_name": "<string>",
  "last_name": "<string>",
  "middle_name": "<string>",
  "phone_number": "<string>",
  "additional_phone_number": "<string>",
  "email": "<string>",
  "date_of_birth": "<string>",
  "gender": "male",
  "address": "<string>",
  "address2": "<string>",
  "city": "<string>",
  "state": "alabama",
  "zip": "<string>",
  "workflow_stage_id": "<string>",
  "assigned_user_id": "<string>",
  "external_id": "<string>",
  "created_from": "form",
  "active": true,
  "version": 1,
  "first_communication_at": "<string>",
  "custom_fields": {},
  "comments": "<string>",
  "tags": [
    {
      "id": "<string>",
      "name": "<string>"
    }
  ],
  "workflow_stage": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "title": "<string>",
    "type": "initial_contact",
    "order": 123,
    "description": "<string>"
  },
  "assigned_user": {
    "id": "<string>",
    "name": "<string>",
    "email": "<string>"
  },
  "referral": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "physician_name": "<string>",
    "physician_email": "<string>",
    "physician_phone": "<string>",
    "physician_fax": "<string>",
    "physician_group": "<string>",
    "physician_npi": "<string>",
    "icd_codes": [
      "<string>"
    ],
    "service_types": [
      "medical_care"
    ],
    "start_date": "2023-12-25",
    "end_date": "2023-12-25",
    "location_id": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  },
  "payors": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_at": "<string>",
      "updated_at": "<string>",
      "patient_id": "<string>",
      "insurance_id": "<string>",
      "subscriber_id": "<string>",
      "relationship_to_subscriber": "spouse",
      "insured_member_id": "<string>",
      "group_number": "<string>",
      "group_description": "<string>",
      "payor_responsibility": "primary",
      "coverage_from": "<string>",
      "coverage_to": "<string>",
      "provider_network_status": "unknown",
      "plan_funding_type": "fully_funded",
      "plan_name": "<string>",
      "plan_type": "01",
      "plan_renewal_date_type": "calendar_year",
      "cob_on_file": "not_required",
      "cob_notes": "<string>",
      "cob_last_verified_at": "<string>",
      "has_other_active_coverage": true,
      "out_of_state_benefits": true,
      "out_of_state_benefits_comments": "<string>",
      "in_grace_period": true,
      "last_payment_date": "<string>",
      "is_cobra_coverage": true,
      "deductible_apply_to_oop": true,
      "eligibility_check_status": "pending",
      "eligibility_check_comment": "<string>",
      "eligibility_check_date": "<string>",
      "eligibility_version": 0,
      "individual_deductible_policy_in_network": 123,
      "individual_deductible_policy_out_network": 123,
      "individual_deductible_remaining_in_network": 123,
      "individual_deductible_remaining_out_network": 123,
      "family_deductible_policy_in_network": 123,
      "family_deductible_policy_out_network": 123,
      "family_deductible_remaining_in_network": 123,
      "family_deductible_remaining_out_network": 123,
      "individual_oop_max_policy_in_network": 123,
      "individual_oop_max_policy_out_network": 123,
      "individual_oop_max_remaining_in_network": 123,
      "individual_oop_max_remaining_out_network": 123,
      "family_oop_max_policy_in_network": 123,
      "family_oop_max_policy_out_network": 123,
      "family_oop_max_remaining_in_network": 123,
      "family_oop_max_remaining_out_network": 123,
      "benefits_related_entities": [
        {}
      ],
      "insurance": {},
      "subscriber": {},
      "services": [
        {
          "copay_in_network": 25,
          "created_at": "2024-01-15T10:30:00Z",
          "eligibility_check_status": "ELIGIBLE",
          "id": "550e8400-e29b-41d4-a716-446655440014",
          "payor_id": "550e8400-e29b-41d4-a716-446655440012",
          "service_type": "PT",
          "updated_at": "2024-01-15T10:30:00Z",
          "verification_benefits_status": "VERIFIED"
        }
      ],
      "version": 1
    }
  ]
}

Authorizations

X-API-Key
string
header
required

Path Parameters

id
string
required

Query Parameters

expand[]
enum<string>[] | null

Fields to expand in the response

Allowed expand values for patient endpoints

Available options:
tags,
workflow_stage,
assigned_user,
referral,
payors
status
enum<string> | null
default:active

Filter by patient status Filter options for patient status (active/inactive/all)

Available options:
active,
inactive,
all

Response

Successful Response

Patient resource response model.

id
string<uuid>
required
created_at
string | null
required
updated_at
string | null
required
company_id
string
required
first_name
string | null
last_name
string | null
middle_name
string | null
phone_number
string | null
additional_phone_number
string | null
email
string | null
date_of_birth
string | null
gender
enum<string> | null

Gender enum matching Prisma

Available options:
male,
female,
other
address
string | null
address2
string | null
city
string | null
state
enum<string> | null

US States enum matching Prisma @map values

Available options:
alabama,
alaska,
arizona,
arkansas,
california,
colorado,
connecticut,
delaware,
florida,
georgia,
hawaii,
idaho,
illinois,
indiana,
iowa,
kansas,
kentucky,
louisiana,
maine,
maryland,
massachusetts,
michigan,
minnesota,
mississippi,
missouri,
montana,
nebraska,
nevada,
new_hampshire,
new_jersey,
new_mexico,
new_york,
north_carolina,
north_dakota,
ohio,
oklahoma,
oregon,
pennsylvania,
rhode_island,
south_carolina,
south_dakota,
tennessee,
texas,
utah,
vermont,
virginia,
washington,
west_virginia,
wisconsin,
wyoming,
district_of_columbia,
puerto_rico,
virgin_islands,
guam,
northern_mariana_islands,
american_samoa
zip
string | null
workflow_stage_id
string | null
assigned_user_id
string | null
external_id
string | null
created_from
enum<string> | null

Patient creation source enum matching Prisma

Available options:
form,
call,
api,
file,
sms,
fax,
chat_agent,
manual,
bulk_import,
eligibility
active
boolean
default:true
version
integer
default:1
first_communication_at
string | null
custom_fields
Custom Fields · object
comments
string | null
tags
Tag · object[] | null
workflow_stage
WorkflowStageSummary · object

Lightweight workflow stage for patient expansion responses.

assigned_user
UserSummary · object
referral
ReferralResponse · object
payors
Payor · object[] | null